org.jbpm.services.task.audit.service

## Class TaskVariableQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<Q>
  - - org.jbpm.services.task.audit.service.AbstractTaskAuditQueryBuilderImpl<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>
    - - org.jbpm.services.task.audit.service.TaskVariableQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ExtendedParametrizedQueryBuilder<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>, org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskVariableQueryBuilder>, org.kie.internal.query.ProcessInstanceIdQueryBuilder<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>, org.kie.internal.runtime.manager.audit.query.ProcessIdQueryBuilder<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>, org.kie.internal.task.query.TaskVariableQueryBuilder

      public class TaskVariableQueryBuilderImpl
      extends AbstractTaskAuditQueryBuilderImpl<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>
      implements org.kie.internal.task.query.TaskVariableQueryBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.query.TaskVariableQueryBuilder

      `org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskVariableQueryBuilderImpl(org.kie.internal.task.api.InternalTaskService taskService)`
    `TaskVariableQueryBuilderImpl(TaskJPAAuditService jpaService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `ascending(org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy field)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `descending(org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy field)`
    `protected TaskCommand<List<org.kie.internal.task.api.TaskVariable>>` | `getCommand()`
    `protected Class<TaskVariableImpl>` | `getQueryType()`
    `protected Class<org.kie.internal.task.api.TaskVariable>` | `getResultType()`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `id(long... id)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `modificationDate(Date... modDate)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `modificationDateRange(Date modDateMin, Date modDateMax)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `name(String... name)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `taskId(long... taskId)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `taskIdRange(Long taskIdMin, Long taskIdMax)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `type(org.kie.internal.task.api.TaskVariable.VariableType... type)`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `value(String... value)`

    - ### Methods inherited from class org.jbpm.services.task.audit.service.AbstractTaskAuditQueryBuilderImpl

      `build, date, dateRangeEnd, dateRangeStart, processId, processInstanceId, processInstanceIdRange`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, endGroup, equals, getQueryWhere, intersect, like, maxResults, newGroup, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.query.TaskVariableQueryBuilder

      `processId`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### TaskVariableQueryBuilderImpl

          public TaskVariableQueryBuilderImpl(org.kie.internal.task.api.InternalTaskService taskService)

    - #### TaskVariableQueryBuilderImpl

          public TaskVariableQueryBuilderImpl(TaskJPAAuditService jpaService)

  - ### Method Detail

    - #### taskId

          public org.kie.internal.task.query.TaskVariableQueryBuilder taskId(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### taskIdRange

          public org.kie.internal.task.query.TaskVariableQueryBuilder taskIdRange(Long taskIdMin,
                                                                                  Long taskIdMax)

      Specified by:
        `taskIdRange` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### id

          public org.kie.internal.task.query.TaskVariableQueryBuilder id(long... id)

      Specified by:
        `id` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### modificationDate

          public org.kie.internal.task.query.TaskVariableQueryBuilder modificationDate(Date... modDate)

      Specified by:
        `modificationDate` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### modificationDateRange

          public org.kie.internal.task.query.TaskVariableQueryBuilder modificationDateRange(Date modDateMin,
                                                                                            Date modDateMax)

      Specified by:
        `modificationDateRange` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### name

          public org.kie.internal.task.query.TaskVariableQueryBuilder name(String... name)

      Specified by:
        `name` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### value

          public org.kie.internal.task.query.TaskVariableQueryBuilder value(String... value)

      Specified by:
        `value` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### type

          public org.kie.internal.task.query.TaskVariableQueryBuilder type(org.kie.internal.task.api.TaskVariable.VariableType... type)

      Specified by:
        `type` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### ascending

          public org.kie.internal.task.query.TaskVariableQueryBuilder ascending(org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy field)

      Specified by:
        `ascending` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### descending

          public org.kie.internal.task.query.TaskVariableQueryBuilder descending(org.kie.internal.task.query.TaskVariableQueryBuilder.OrderBy field)

      Specified by:
        `descending` in interface `org.kie.internal.task.query.TaskVariableQueryBuilder`

    - #### getQueryType

          protected Class<TaskVariableImpl> getQueryType()

      Specified by:
        `getQueryType` in class `AbstractTaskAuditQueryBuilderImpl<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>`

    - #### getResultType

          protected Class<org.kie.internal.task.api.TaskVariable> getResultType()

      Specified by:
        `getResultType` in class `AbstractTaskAuditQueryBuilderImpl<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>`

    - #### getCommand

          protected TaskCommand<List<org.kie.internal.task.api.TaskVariable>> getCommand()

      Specified by:
        `getCommand` in class `AbstractTaskAuditQueryBuilderImpl<org.kie.internal.task.query.TaskVariableQueryBuilder,org.kie.internal.task.api.TaskVariable>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.